import { Component } from '@angular/core';
import { IonHeader, IonButton, IonToolbar, IonTitle, IonContent } from '@ionic/angular/standalone';
import { RouterModule } from '@angular/router';
import { CompSwiperComponent } from 'src/lib/comp-swiper/comp-swiper.component';
import { CompUploaderHwobsComponent } from 'src/lib/storage/comp-uploader-hwobs/comp-uploader-hwobs.component';

@Component({
  selector: 'app-tab3',
  templateUrl: 'tab3.page.html',
  styleUrls: ['tab3.page.scss'],
  standalone: true,
  imports: [
    IonHeader, IonToolbar, IonTitle, IonContent, 
    IonButton, RouterModule,
    CompSwiperComponent,CompUploaderHwobsComponent
  ],
})
export class Tab3Page {
  imageList:Array<any> = [
    {img:"https://tse2-mm.cn.bing.net/th/id/OIP-C.sD15E_-sEqY4p37kQPhJywHaD4?rs=1&pid=ImgDetMain"},
    {img:"https://app.fmode.cn/dev/jxnu/storage/20241224/94828-3.png"},
    {img:"https://tse1-mm.cn.bing.net/th/id/OIP-C.Sqa-oqMbnqRLWGIbMdwuPQHaDJ?rs=1&pid=ImgDetMain"}
  ]
  imageList2 = [this.imageList[2],this.imageList[1],this.imageList[0]]
 
  constructor() {}

  // 上传组件
  uploadUrl:string = ""
  onUrlChange(ev:any){
    console.log(ev);
    this.uploadUrl=ev;
  }
}
